package com.utopiaindustries.qualitychecker.apiservice;

import retrofit2.Retrofit;

public class ApiServiceFactory {
    private static ApiService apiService;
    public synchronized static ApiService getApiService() {
        if ( apiService == null ) {
            Retrofit retrofit = RetrofitClient.getClient();
            apiService = retrofit.create( ApiService.class );
        }
        return apiService;
    }
}
